MozillaZine

Cannot Install Add-Ons (check connection error)

User Help for Mozilla Firefox
gw1500se
 
Posts: 176
Joined: April 25th, 2008, 6:16 pm

Post Posted May 19th, 2019, 8:11 am

I'm unable to install any extensions or plug-ins on my CentOS 7 installation. I am getting the apparently common problem of download failed error. Reading up on this problem there seems to be 2 possible solutions. The first is to make sure "studies" is enabled, which in my case it is. That seems to do nothing. The 2nd is to install version 66.6.2 or better which does not seem to exist anywhere for any *NIX. The latest version for CentOS is 66.6.1. Is there a 3rd alternative that I haven't found and when will there be a fix for *NIX installations? TIA.
There are 10 kinds of people in the world. Those that understand binary and those that don't.

James
Moderator

User avatar
 
Posts: 27583
Joined: June 18th, 2003, 3:07 pm
Location: Made in Canada

Post Posted May 19th, 2019, 1:40 pm

https://blog.mozilla.org/addons/2019/05/04/update-regarding-add-ons-in-firefox/

The current versions from Mozilla is 66.0.5 Release and 60.6.3 ESR.

https://www.mozilla.org/firefox/releases/

The Linux version of Firefox has had updates along with Windows and Mac. Some Linux distros however may not have bothered to do their own package updates of Firefox for whatever reasons.

You can try the Extension option however the Firefox 67.0 on Tuesday will likely have the certificate update so the extension option may need to be disabled then.

gw1500se
 
Posts: 176
Joined: April 25th, 2008, 6:16 pm

Post Posted May 19th, 2019, 2:54 pm

Thanks. Tuesday is good enough.
There are 10 kinds of people in the world. Those that understand binary and those that don't.

Return to Firefox Support


Who is online

Users browsing this forum: No registered users and 8 guests